Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.io.common
Class T3FileInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--weblogic.io.common.T3FileInputStream

public abstract class T3FileInputStream
extends java.io.InputStream

The superclass of all T3FileInputStream objects. Implemented as an abstract class rather than an interface, so that `java.io.InputStream` can be a super class. This allows T3FileInputStreams to be easily plugged into existing code that uses InputStreams. T3FileInputStreams are produced by T3Files, and as such may be associated with local files on the client or remote files on the server. This makes it easy to write code that treats the two uniformly. In addition to the methods on `java.io.InputStream`, T3FileInputStream has methods to report the buffer size and read ahead. These values are not used for local files.

Author:
  Copyright (c) 1996-97 by WebLogic, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `T3File`

Constructor Summary
`T3FileInputStream()`

Method Summary
`abstract int` | `bufferSize()` Returns the size of the transfer buffer in bytes.
`abstract int` | `readAhead()` Returns the number of transfer buffers fetched in advance of user requests.

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, read, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### T3FileInputStream

    public T3FileInputStream()

Method Detail

### bufferSize

    public abstract int bufferSize()

  Returns the size of the transfer buffer in bytes.

  Returns:
    Size of buffer as an int

### readAhead

    public abstract int readAhead()

  Returns the number of transfer buffers fetched in advance of user requests.

  Returns:
    Number of transfer buffers

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD